#!/bin/bash
  
#Create 2*Pool:Pool-A-1/Pool-B-1
echo "Waiting for create 2*Pool"
ms-cli EngineA "pool mgt create -n Pool-A-1 -t t"
ms-cli EngineB "pool mgt create -n Pool-B-1 -t t"


#Create RAID: 8 * RAID10
echo "Waiting for create EngineA RAID"
ms-cli EngineA "raid mgt create -n RAID-0001 -p Pool-A-1 -l RAID10 -d 1:1:1:1,1:1:1:2,1:1:1:3,1:1:1:4,1:1:1:5,1:1:1:6"
ms-cli EngineA "raid mgt create -n RAID-0002 -p Pool-A-1 -l RAID10 -d 1:1:1:7,1:1:1:8,1:1:1:9,1:1:1:10,1:1:1:11,1:1:1:12"
ms-cli EngineA "raid mgt create -n RAID-0003 -p Pool-A-1 -l RAID10 -d 1:2:1:1,1:2:1:2,1:2:1:3,1:2:1:4,1:2:1:5,1:2:1:6"
ms-cli EngineA "raid mgt create -n RAID-0004 -p Pool-A-1 -l RAID10 -d 1:2:1:7,1:2:1:8,1:2:1:9,1:2:1:10,1:2:1:11,1:2:1:12"

echo "Waiting for create EngineB RAID"
ms-cli EngineB "raid mgt create -n RAID-0001 -p Pool-B-1 -l RAID10 -d 1:1:1:1,1:1:1:2,1:1:1:3,1:1:1:4,1:1:1:5,1:1:1:6"
ms-cli EngineB "raid mgt create -n RAID-0002 -p Pool-B-1 -l RAID10 -d 1:1:1:7,1:1:1:8,1:1:1:9,1:1:1:10,1:1:1:11,1:1:1:12"
ms-cli EngineB "raid mgt create -n RAID-0003 -p Pool-B-1 -l RAID10 -d 1:2:1:1,1:2:1:2,1:2:1:3,1:2:1:4,1:2:1:5,1:2:1:6"
ms-cli EngineB "raid mgt create -n RAID-0004 -p Pool-B-1 -l RAID10 -d 1:2:1:7,1:2:1:8,1:2:1:9,1:2:1:10,1:2:1:11,1:2:1:12"


#Create LUN: 16
echo "Waiting for create LUN"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP1-0001 -o SP1 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0001"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP2-0001 -o SP2 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0001"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP1-0002 -o SP1 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0002"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP2-0002 -o SP2 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0002"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP1-0003 -o SP1 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0003"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP2-0003 -o SP2 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0003"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP1-0004 -o SP1 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0004"
ms-cli EngineA "lun mgt createthicklun -n LUN-A-SP2-0004 -o SP2 -p Pool-A-1 -r disable -w disable -m no-sync -s 667 -R RAID-0004"

ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP1-0001 -o SP1 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0001"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP2-0001 -o SP2 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0001"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP1-0002 -o SP1 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0002"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP2-0002 -o SP2 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0002"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP1-0003 -o SP1 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0003"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP2-0003 -o SP2 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0003"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP1-0004 -o SP1 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0004"
ms-cli EngineB "lun mgt createthicklun -n LUN-B-SP2-0004 -o SP2 -p Pool-B-1 -r disable -w disable -m no-sync -s 667 -R RAID-0004"


#Create client:4
echo "Waiting for create client"
ms-cli EngineA "client mgt create -n Client-77"
ms-cli EngineA "client mgt create -n Client-78"

ms-cli EngineB "client mgt create -n Client-77"
ms-cli EngineB "client mgt create -n Client-78"


#Create initiator:16
echo "Waiting for create initiator"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:67:37:07 -a FC-1:1:1 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:67:37:06 -a FC-1:1:2 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:66:f2:3b -a FC-1:1:3 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:66:f2:3a -a FC-1:1:4 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:69:d1:cb -a FC-2:1:1 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:69:d1:ca -a FC-2:1:2 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:69:b6:7f -a FC-2:1:3 -o Linux"
ms-cli EngineA "client initiator create -t fc -w 21:00:00:24:ff:69:b6:7e -a FC-2:1:4 -o Linux"

ms-cli EngineB "client initiator create -t fc -w 21:00:00:24:ff:71:64:e7 -a FC-1:1:1 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 21:00:00:24:ff:71:64:e6 -a FC-1:1:2 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 31:61:00:24:ff:af:04:07 -a FC-1:1:3 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 21:61:00:24:ff:af:04:07 -a FC-1:1:4 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 31:c7:00:24:ff:7b:d3:3f -a FC-2:1:1 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 21:c7:00:24:ff:7b:d3:3f -a FC-2:1:2 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 31:c9:00:24:ff:0a:96:0f -a FC-2:1:3 -o Linux"
ms-cli EngineB "client initiator create -t fc -w 21:c9:00:24:ff:0a:96:0f -a FC-2:1:4 -o Linux"


#Add Target: 16
echo "Waiting for add Target"
ms-cli EngineA "client target create -t fc -p FC-1:1:1"
ms-cli EngineA "client target create -t fc -p FC-1:1:2"
ms-cli EngineA "client target create -t fc -p FC-1:1:3"
ms-cli EngineA "client target create -t fc -p FC-1:1:4"
ms-cli EngineA "client target create -t fc -p FC-2:1:1"
ms-cli EngineA "client target create -t fc -p FC-2:1:2"
ms-cli EngineA "client target create -t fc -p FC-2:1:3"
ms-cli EngineA "client target create -t fc -p FC-2:1:4"

ms-cli EngineB "client target create -t fc -p FC-1:1:1"
ms-cli EngineB "client target create -t fc -p FC-1:1:2"
ms-cli EngineB "client target create -t fc -p FC-1:1:3"
ms-cli EngineB "client target create -t fc -p FC-1:1:4"
ms-cli EngineB "client target create -t fc -p FC-2:1:1"
ms-cli EngineB "client target create -t fc -p FC-2:1:2"
ms-cli EngineB "client target create -t fc -p FC-2:1:3"
ms-cli EngineB "client target create -t fc -p FC-2:1:4"


#map-client
echo "Waiting for map-client"
ms-cli EngineA "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:67:37:07"
ms-cli EngineA "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:67:37:06"
ms-cli EngineA "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:69:d1:cb"
ms-cli EngineA "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:69:d1:ca"
ms-cli EngineA "client mgt mapinitiator -c Client-78 -i 21:00:00:24:ff:66:f2:3b"
ms-cli EngineA "client mgt mapinitiator -c Client-78 -i 21:00:00:24:ff:66:f2:3a"
ms-cli EngineA "client mgt mapinitiator -c Client-78 -i 21:00:00:24:ff:69:b6:7f"
ms-cli EngineA "client mgt mapinitiator -c Client-78 -i 21:00:00:24:ff:69:b6:7e"

ms-cli EngineB "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:71:64:e7"
ms-cli EngineB "client mgt mapinitiator -c Client-77 -i 21:00:00:24:ff:71:64:e6"
ms-cli EngineB "client mgt mapinitiator -c Client-77 -i 31:c7:00:24:ff:7b:d3:3f"
ms-cli EngineB "client mgt mapinitiator -c Client-77 -i 21:c7:00:24:ff:7b:d3:3f"
ms-cli EngineB "client mgt mapinitiator -c Client-78 -i 31:61:00:24:ff:af:04:07"
ms-cli EngineB "client mgt mapinitiator -c Client-78 -i 21:61:00:24:ff:af:04:07"
ms-cli EngineB "client mgt mapinitiator -c Client-78 -i 31:c9:00:24:ff:0a:96:0f"
ms-cli EngineB "client mgt mapinitiator -c Client-78 -i 21:c9:00:24:ff:0a:96:0f"


#map-target
echo "Waiting for map-target"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:67:37:07 -t FC-Target-1:1:1"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:67:37:06 -t FC-Target-1:1:2"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:66:f2:3b -t FC-Target-1:1:3"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:66:f2:3a -t FC-Target-1:1:4"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:69:d1:cb -t FC-Target-2:1:1"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:69:d1:ca -t FC-Target-2:1:2"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:69:b6:7f -t FC-Target-2:1:3"
ms-cli EngineA "client itl maptarget  -i 21:00:00:24:ff:69:b6:7e -t FC-Target-2:1:4"


ms-cli EngineB "client itl maptarget  -i 21:00:00:24:ff:71:64:e7 -t FC-Target-1:1:1"
ms-cli EngineB "client itl maptarget  -i 21:00:00:24:ff:71:64:e6 -t FC-Target-1:1:2"
ms-cli EngineB "client itl maptarget  -i 31:61:00:24:ff:af:04:07 -t FC-Target-1:1:3"
ms-cli EngineB "client itl maptarget  -i 21:61:00:24:ff:af:04:07 -t FC-Target-1:1:4"
ms-cli EngineB "client itl maptarget  -i 31:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:1"
ms-cli EngineB "client itl maptarget  -i 21:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:2"
ms-cli EngineB "client itl maptarget  -i 31:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:3"
ms-cli EngineB "client itl maptarget  -i 21:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:4"

#map LUN 32
echo "Waiting for map LUN"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:67:37:07 -t FC-Target-1:1:1 -l LUN-A-SP1-0001 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:67:37:07 -t FC-Target-1:1:1 -l LUN-A-SP1-0002 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:67:37:06 -t FC-Target-1:1:2 -l LUN-A-SP1-0003 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:67:37:06 -t FC-Target-1:1:2 -l LUN-A-SP1-0004 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:d1:cb -t FC-Target-2:1:1 -l LUN-A-SP2-0001 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:d1:cb -t FC-Target-2:1:1 -l LUN-A-SP2-0002 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:d1:ca -t FC-Target-2:1:2 -l LUN-A-SP2-0003 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:d1:ca -t FC-Target-2:1:2 -l LUN-A-SP2-0004 -I 1 -a rw"

ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:66:f2:3b -t FC-Target-1:1:3 -l LUN-A-SP1-0001 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:66:f2:3b -t FC-Target-1:1:3 -l LUN-A-SP1-0002 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:66:f2:3a -t FC-Target-1:1:4 -l LUN-A-SP1-0003 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:66:f2:3a -t FC-Target-1:1:4 -l LUN-A-SP1-0004 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:b6:7f -t FC-Target-2:1:3 -l LUN-A-SP2-0001 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:b6:7f -t FC-Target-2:1:3 -l LUN-A-SP2-0002 -I 1 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:b6:7e -t FC-Target-2:1:4 -l LUN-A-SP2-0003 -I 0 -a rw"
ms-cli EngineA "client itl maplun -i 21:00:00:24:ff:69:b6:7e -t FC-Target-2:1:4 -l LUN-A-SP2-0004 -I 1 -a rw"


ms-cli EngineB "client itl maplun -i 21:00:00:24:ff:71:64:e7 -t FC-Target-1:1:1 -l LUN-B-SP1-0001 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 21:00:00:24:ff:71:64:e7 -t FC-Target-1:1:1 -l LUN-B-SP1-0002 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 21:00:00:24:ff:71:64:e6 -t FC-Target-1:1:2 -l LUN-B-SP1-0003 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 21:00:00:24:ff:71:64:e6 -t FC-Target-1:1:2 -l LUN-B-SP1-0004 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 31:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:1 -l LUN-B-SP2-0001 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 31:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:1 -l LUN-B-SP2-0002 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 21:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:2 -l LUN-B-SP2-0003 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 21:c7:00:24:ff:7b:d3:3f -t FC-Target-2:1:2 -l LUN-B-SP2-0004 -I 1 -a rw"

ms-cli EngineB "client itl maplun -i 31:61:00:24:ff:af:04:07 -t FC-Target-1:1:3 -l LUN-B-SP1-0001 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 31:61:00:24:ff:af:04:07 -t FC-Target-1:1:3 -l LUN-B-SP1-0002 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 21:61:00:24:ff:af:04:07 -t FC-Target-1:1:4 -l LUN-B-SP1-0003 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 21:61:00:24:ff:af:04:07 -t FC-Target-1:1:4 -l LUN-B-SP1-0004 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 31:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:3 -l LUN-B-SP2-0001 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 31:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:3 -l LUN-B-SP2-0002 -I 1 -a rw"
ms-cli EngineB "client itl maplun -i 21:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:4 -l LUN-B-SP2-0003 -I 0 -a rw"
ms-cli EngineB "client itl maplun -i 21:c9:00:24:ff:0a:96:0f -t FC-Target-2:1:4 -l LUN-B-SP2-0004 -I 1 -a rw"


echo "complete "
exit 0

